microsoft-foundry.rest.security.o-auth2-auth
Indexes
Create or update a version
PATCH
/indexes/{name}/versions/{version}
Create a new or update an existing Index with the given version id
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
The name of the resource
version
string
必要
The specific version id of the Index to create or update.
要求本文
The Index to create or update.
Content-Type: application/merge-patch+json
下列其中一項:
AzureSearch
AzureAISearchIndexUpdate
Foundry IQ (Azure AI Search) Index Definition
type
enum
必要
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndexUpdate
Managed Foundry IQ (Azure AI Search) Index Definition
type
enum
必要
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndexUpdate
CosmosDB Vector Store Index Definition
type
enum
必要
Type of index
CosmosDBNoSqlVectorStore
回覆
The request has succeeded.
主體
Content-Type: application/json
下列其中一項:
AzureSearch
AzureAISearchIndex
Foundry IQ (Azure AI Search) Index Definition
type
enum
必要
Type of index
AzureSearch
ManagedAzureSearch
ManagedAzureAISearchIndex
Managed Foundry IQ (Azure AI Search) Index Definition
type
enum
必要
Type of index
ManagedAzureSearch
CosmosDBNoSqlVectorStore
CosmosDBIndex
CosmosDB Vector Store Index Definition
type
enum
必要
Type of index
CosmosDBNoSqlVectorStore
Request
PATCH /indexes/{name}/versions/{version} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json